Subject: bug#73456: 31.0.50; X protocol error: RenderBadGlyph

From: Visuwesh <[email-masked]>
Date: Wed, 25 Sep 2024 18:34:37 +0530

[புதன் செப்டம்பர் 25, 2024] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: Po Lu <[email-masked]>,  [email-masked]
>> Date: Wed, 25 Sep 2024 11:33:09 +0530
>> 
>> [செவ்வாய் செப்டம்பர் 24, 2024] Eli Zaretskii wrote:
>> 
>> > Thanks, but the only way to debug these problems is to run Emacs under
>> > GDB at all times, and run it in X-synchronous mode (as described in
>> > etc/DEBUG).  Only then, when the rare problem happens, you will be
>> > able to collect a meaningful backtrace which will point out the
>> > offending code.
>> 
>> I figured this would be the case.  I saw that message yesterday, and
>> today Emacs crashed with the same backtrace.  I hope I can find a
>> reliable reproducer for the problem since the problem seems to happen
>> once a few months so running Emacs under GDB all the time is not
>> feasible for me.
>
> Why is it not feasible for you to run Emacs under GDB at all times?
> (Apologies if you already explained that once and I forgot.)  GDB
> generally gets out of the way as long as Emacs is running smoothly,
> and only kicks in when there's some sort of trouble.

I didn't explain it before so no worries there.  I ran a debug build of
Emacs for a ~month before and it was too slow for me to comfortably use
it (In particular, Gnus was painfully slow, and Org is a bit too slow).
I should fallback to using the stable branch at this point honestly.

> If you are using the master branch for production work, I suggest to
> run Emacs under GDB all the time, because the master branch is not
> stable enough, and detailed information about crashes and aborts is
> very important to us.
>
> TIA

When my schedule gets a bit less tense, I will fallback to running the
debug build of Emacs all the time but for the foreseeable future, I
cannot see it happening.